package cn.com.ctop.kuaishou.modules.batch.Enums;


import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import java.util.ArrayList;
import java.util.List;

public enum KuaishouMinSecEnum {
    MIN_SEC_1("00:00", "60:00");
    // MIN_SEC_2("30:00", "60:00");



    /**
     * 类型
     */
    private String startTime;
    private String endTime;


    KuaishouMinSecEnum(String startTime, String endTime) {
        this.startTime = startTime;
        this.endTime = endTime;

    }

    public static JSONArray getMinSecList() {
        JSONArray minSecList = new JSONArray();
        for (KuaishouMinSecEnum minSecEnum : KuaishouMinSecEnum.values()) {
            JSONObject json = new JSONObject();
            json.put("startTime",minSecEnum.getStartTime());
            json.put("endTime",minSecEnum.getEndTime());
            minSecList.add(json);
        }
        return minSecList;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public static void main(String[] args) {
        JSONArray minSecList = getMinSecList();
        System.err.println(minSecList);
    }
}
